summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2020-06-25 14:12:00 -0700
committerMatt Turner <mattst88@gentoo.org>2020-06-25 14:25:35 -0700
commit2d68b622cde01e727bb5a109a975e8162b88bf30 (patch)
tree40b6202183f32200a6f9ffd3faf1078afe977668
parentnet-misc/rclone: drop old (diff)
downloadgentoo-2d68b622cde01e727bb5a109a975e8162b88bf30.tar.gz
gentoo-2d68b622cde01e727bb5a109a975e8162b88bf30.tar.bz2
gentoo-2d68b622cde01e727bb5a109a975e8162b88bf30.zip
media-libs/libglvnd: Ignore __gentoo_check_ldflags__ symbol
Closes: https://bugs.gentoo.org/729626 Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--media-libs/libglvnd/libglvnd-1.3.1.ebuild6
-rw-r--r--media-libs/libglvnd/libglvnd-9999.ebuild6
2 files changed, 12 insertions, 0 deletions
diff --git a/media-libs/libglvnd/libglvnd-1.3.1.ebuild b/media-libs/libglvnd/libglvnd-1.3.1.ebuild
index 6d4bfd94dd5..a11e7d7b630 100644
--- a/media-libs/libglvnd/libglvnd-1.3.1.ebuild
+++ b/media-libs/libglvnd/libglvnd-1.3.1.ebuild
@@ -41,6 +41,12 @@ RDEPEND="
DEPEND="${RDEPEND}
X? ( x11-base/xorg-proto )"
+src_prepare() {
+ default
+ sed -i -e "/^PLATFORM_SYMBOLS/a \ '__gentoo_check_ldflags__'," \
+ bin/symbols-check.py || die
+}
+
multilib_src_configure() {
local emesonargs=(
$(meson_feature X x11)
diff --git a/media-libs/libglvnd/libglvnd-9999.ebuild b/media-libs/libglvnd/libglvnd-9999.ebuild
index 772d3cb97ea..4c976349c6d 100644
--- a/media-libs/libglvnd/libglvnd-9999.ebuild
+++ b/media-libs/libglvnd/libglvnd-9999.ebuild
@@ -41,6 +41,12 @@ RDEPEND="
DEPEND="${RDEPEND}
X? ( x11-base/xorg-proto )"
+src_prepare() {
+ default
+ sed -i -e "/^PLATFORM_SYMBOLS/a \ '__gentoo_check_ldflags__'," \
+ bin/symbols-check.py || die
+}
+
multilib_src_configure() {
local emesonargs=(
$(meson_feature X x11)